from abc import ABC, abstractmethod

import discord

class ModuleABC(ABC):

    @abstractmethod
    def __init__(self):
        self._priorities = {}

    def get_priority(self, t: type) -> int:
        if t not in self._priorities:
            raise Exception(f'Priority for {t} not found!')
        return self._priorities[t]
